Description

Would it be possible to get a "custom" format for "Draw Coordinates" in the Composer.

(picture 1)

When selecting "custom" a similar box as for normal labels could get activated.

(picture 2)

This way I could get a label in any projected coordinate system displayed in any way I want. The example in the picture takes the

y_coordinate and extracts to digits representing the kilometre value in a 100 km x 100 km box (i.e. UTM coordinates).

In the same way I could "build" more complicated grid labels with custom texts etc.

The above is only a suggestion for getting more flexible options for creating labels. Another option would be to add new formats in a

config-file in some way.

Related issues:

Related to QGIS Application - Feature request # 10301: [composer] Support for... Open 2014-05-18

Associated revisions

Revision e8c3afa3 - 2015-09-08 09:31 AM - Nyall Dawson

[FEATURE][composer] Custom format for grid annotations (fix #9292)

Allows composer map grid annotations in custom formats which are

evaluated using QgsExpressions. Made possible through the use

of Expression Contexts(tm)!

History

#1 - 2014-01-05 03:42 AM - Klas Karlsson

Would also solve Feature #7804...

#2 - 2014-10-28 01:33 PM - Klas Karlsson

- File Suggested_fix.png added

Why not add a "data defined" option for the "Draw Coordinates" > "Format" option...

see attached file
As long as the coordinate intended for use at the grid line as a label is available in the "function list" (ex: $gridlinevalue ) You could do pretty much anything

with the labels.

#3 - 2014-10-28 02:26 PM - Nyall Dawson

That's the plan. It's dependent on #9546 though.

#4 - 2015-08-21 02:32 AM - Ian Holt

Apologies if this is the wrong place to post this.

The last comment on this issue was 10 months ago.

Does anyone know if there have been any further thoughts?

Being able to be more flexible in the good coordinates in Print Composer means I have to take the image I generate and use other software to create more

pleasing labelling,

i.e. rather that 460000 461000 462000 It could read 460000 461 462 (maybe with the 4 and trailing 0s as superscript?

Or if anyone can point me towards a way of creating more flexible labelling outside QGIS, then I would be very appreciative.

#5 - 2015-09-08 01:13 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"e8c3afa3984cee32b98b52ba65bcf5ed630ae72d".
